__gnu_cxx::constant_unary_fun< _Result, _Argument > Struct Template Reference
Extensions » SGI

`#include <functional>`

## Public Types

typedef _Argument | argument_type
typedef _Result | result_type

## Public Member Functions

| constant_unary_fun (const _Result &__v)
const result_type & | operator() (const _Argument &) const

## Public Attributes

result_type | _M_val

## Detailed Description

template<class _Result, class _Argument = _Result>
struct __gnu_cxx::constant_unary_fun< _Result, _Argument >

An SGI extension .

Definition at line 304 of file ext/functional.

## Member Typedef Documentation

## argument_type

template<class _Result, class _Argument>

typedef _Argument __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::argument_type

inherited

Definition at line 253 of file ext/functional.

## result_type

template<class _Result, class _Argument>

typedef _Result __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::result_type

inherited

Definition at line 254 of file ext/functional.

## Constructor & Destructor Documentation

## constant_unary_fun()

template<class _Result, class _Argument = _Result>

__gnu_cxx::constant_unary_fun< _Result, _Argument >::constant_unary_fun | ( | const _Result & | __v | ) |

inline

Definition at line 306 of file ext/functional.

## Member Function Documentation

## operator()()

template<class _Result, class _Argument>

const result_type & __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::operator() | ( | const _Argument & |  | ) | const

inline inherited

Definition at line 260 of file ext/functional.

## Member Data Documentation

## _M_val

template<class _Result, class _Argument>

result_type __gnu_cxx::_Constant_unary_fun< _Result, _Argument >::_M_val

inherited

Definition at line 255 of file ext/functional.

The documentation for this struct was generated from the following file:

- ext/functional